Package com.io7m.idstore.server.http

# Record Class IdHTTPResponseFixedSize

java.lang.Object
java.lang.Record
com.io7m.idstore.server.http.IdHTTPResponseFixedSize

Record Components:
  `statusCode` - The status code
  `cookies` - The cookies to set
  `contentType` - The content type
  `data` - The data

All Implemented Interfaces:
  `IdHTTPResponseType`

public record IdHTTPResponseFixedSize(int statusCode, Set<IdHTTPCookieDeclaration> cookies, String contentType, byte[] data) extends Record implements IdHTTPResponseType
A fixed size servlet response.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdHTTPResponseFixedSize(int statusCode, Set<IdHTTPCookieDeclaration> cookies, String contentType, byte[] data)`
  A fixed size servlet response.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OptionalLong`
  `contentLengthOptional()`
  `String`
  `contentType()`
  Returns the value of the `contentType` record component.
  `Set<IdHTTPCookieDeclaration>`
  `cookies()`
  Returns the value of the `cookies` record component.
  `byte[]`
  `data()`
  Returns the value of the `data` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `int`
  `statusCode()`
  Returns the value of the `statusCode` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdHTTPResponseFixedSize

    public IdHTTPResponseFixedSize(int statusCode, Set<IdHTTPCookieDeclaration> cookies, String contentType, byte[] data)
    A fixed size servlet response.
    Parameters:
      `statusCode` - The status code
      `cookies` - The cookies to set
      `contentType` - The content type
      `data` - The data

- ## Method Details

  - ### contentLengthOptional

    public OptionalLong contentLengthOptional()
    Specified by:
      `contentLengthOptional` in interface `IdHTTPResponseType`
    Returns:
      The length of the content, if one is known

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### statusCode

    public int statusCode()
    Returns the value of the `statusCode` record component.
    Specified by:
      `statusCode` in interface `IdHTTPResponseType`
    Returns:
      the value of the `statusCode` record component

  - ### cookies

    public Set<IdHTTPCookieDeclaration> cookies()
    Returns the value of the `cookies` record component.
    Specified by:
      `cookies` in interface `IdHTTPResponseType`
    Returns:
      the value of the `cookies` record component

  - ### contentType

    public String contentType()
    Returns the value of the `contentType` record component.
    Returns:
      the value of the `contentType` record component

  - ### data

    public byte[] data()
    Returns the value of the `data` record component.
    Returns:
      the value of the `data` record component